Modular, context-aware and aspect-oriented dendritic Nix configurations. Discussions: https://oeiuwq.zulipchat.com/join/nqp26cd4kngon6mo3ncgnuap/ den.oeiuwq.com
configurations den dendritic nix aspect oriented
8
fork

Configure Feed

Select the types of activity you want to include in your feed.

fix(ci): Fix fail count and hint on ci-deep

+11 -8
+11 -8
ci.bash
··· 3 3 # Uses nix-eval-jobs with $(nproc) workers 4 4 # NOTE: Ignores tests with expectedError 5 5 # 6 - set -euo pipefail 6 + # Redirect stdout to null IF you only want to see failures 7 + set -aeuo pipefail 7 8 8 9 system="x86_64-linux" 9 10 if test -n "${1:-}"; then ··· 57 58 58 59 total=$(cat "$results" | wc -l) 59 60 pass=$(jq -r 'select(.name != null and (.name | startswith("PASS-"))) | "."' "$results" | wc -l) 60 - fail=$(jq -r 'select(.name != null and (.name | startswith("PASS-") | not)) | "."' "$results" | wc -l) 61 61 62 62 63 - if [ "$pass" -eq "$total" ]; then 64 - echo "๐ŸŽ‰ ${pass}/${total} successful" 63 + if [ "$(expr "$total" - "$pass")" -eq "0" ]; then 64 + echo "๐ŸŽ‰ ${pass}/${total} successful" >&2 65 65 rm "$results" || true 66 66 else 67 - echo "๐Ÿ˜ข ${pass}/${total} successful" 68 - echo 69 - echo "๐Ÿ’ฅ FAILURES (${fail}):" 70 - jq -r 'select(.name != null and (.name | startswith("PASS-") | not)) | "โŒ '"${postSuite}"'" + .attr' "$results" 67 + echo "๐Ÿ˜ข ${pass}/${total} successful" >&2 68 + echo >&2 69 + echo "๐Ÿ’ฅ FAILURES ($(expr "$total" - "$pass")):" >&2 70 + echo "For details run with \`just ci-deep <suite>\`" >&2 71 + echo "where <suite> does not include \`.test-xyz\`" >&2 72 + echo >&2 73 + jq -r 'select(.error != null) | "โŒ '"${postSuite}"'" + .attr' "$results" >&2 71 74 rm "$results" || true 72 75 exit 1 73 76 fi